package com.yslifes;
import java.io.File;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperReport;
import net.sf.jasperreports.engine.design.JasperDesign;
import net.sf.jasperreports.engine.util.JRLoader;
import net.sf.jasperreports.engine.xml.JRXmlWriter;
public class JasperToJRXML {
	
	public final static String sourcefolder = "D:/jasper/";
	public final static String destinationfolder = "D:/jrxml/"; 
	
    public static void main(String[] args) {
    	
    	
        File folder = new File(sourcefolder);
        for (final File fileEntry : folder.listFiles()) 
        {
                if(fileEntry.getName().lastIndexOf(".jasper")==fileEntry.getName().length()-7)
                {
                	doRestore(fileEntry.getName());
                
                }
                	
        }
        
    }
    
    public static void doRestore(String name)
    {
    	System.out.println(name+";"+(name.substring(0,name.length()-7)+".jrxml"));
    	String sourcePath =  sourcefolder+name;// jsperɮצm
        String destinationPath = destinationfolder+name.substring(0,name.length()-7)+".jrxml"; // nXjrxmlɮתm
        try {
            @SuppressWarnings("deprecation")
            JasperReport report = (JasperReport) JRLoader.loadObject(sourcePath);
            JRXmlWriter.writeReport(report, destinationPath, "UTF-8");
        } catch (JRException e) {
            e.printStackTrace();
        }
    }
}
